module Index_m

  implicit NONE

  public

  type Index_t
    integer :: WordBase
    integer :: WordDifference
    integer :: WordLimit
    integer :: ChannelBase
    integer :: ChannelDifference
    integer :: ChannelLimit
  end type Index_t

  type(index_t) :: Index(0:9) = index_t(0,0,0,0,0,0)

end module Index_m
